<?php
namespace App\Service;
class Branch {

  private $branchFactory;
  private $dateUtil;

  public function __construct(\App\Factory\Branch $branchFactory,
                              \App\Util\DateUtil $dateUtil) {
    $this->branchFactory = $branchFactory;
    $this->dateUtil      = $dateUtil;
  }

  public function getUnits($search) {
    $blockedStores = array();
    $units = $this->branchFactory->getUnits($search);

    if(!empty($units)) {
      foreach($units as $unit) {
        $params = array('CDFILIAL' => $unit['CDFILIALGRID']);
        $stores = $this->branchFactory->getBlockedStores($params);        
        array_push($blockedStores, $unit);

        foreach($stores as $store) {
          $store['PARENTID'] = $unit['CDFILIAL'];
          $store['LABELNRDIASEMANA'] = $this->dateUtil->getWeekDay($store['NRDIASEMANABLOQ']);
          array_push($blockedStores, $store);
          }        
      }    
      return $blockedStores;
    }
    return array();
  }

  public function getAvailableStoresByUnit($params) {
    return $this->branchFactory->getAvailableStoresByUnit($params);
  }

  public function blockStores($insertParams) {
    $results = array();
    if (is_array($insertParams['NRDIASEMANABLOQ'])) {
        foreach ($insertParams['CDLOJA'] as $cdLoja) {
            foreach ($insertParams['NRDIASEMANABLOQ'] as $nrDias) {
                $params = array(
                    'CDFILIAL' => $insertParams['CDFILIAL'],
                    'CDLOJA' => $cdLoja,
                    'CDOPERADOR' => $insertParams['CDOPERADOR'],
                    'NRDIASEMANABLOQ' => $nrDias
                );
              $this->branchFactory->blockStores($params);
            }
        }
    } elseif (is_string($insertParams['NRDIASEMANABLOQ'])) {
        foreach ($insertParams['CDLOJA'] as $cdLoja) {
          $params = array(
            'CDFILIAL'        => $insertParams['CDFILIAL'],
            'CDLOJA'          => $cdLoja,
            'CDOPERADOR'      => $insertParams['CDOPERADOR'],
            'NRDIASEMANABLOQ' => $insertParams['NRDIASEMANABLOQ']
        );
        $this->branchFactory->blockStores($params);
      }
    }
  }
}
