<?php

namespace App\Service;

class Consumer {

    private $util;
    private $consumerFactory;

    public function __construct(\App\Util\Util $util, 
                                \App\Factory\Consumer $consumerFactory) {
        $this->util = $util;
        $this->consumerFactory = $consumerFactory;
    }

    public function getConsumersByPhone($NRTELEFONE) {
        $dadosCliente = $this->consumerFactory->getConsumersByPhone($NRTELEFONE);
        
        if(empty($dadosCliente)) {
            return false;
        }
		
        $muid = 0;
		foreach ($dadosCliente as &$cliente){
			$cliente['NRCEPCONS']	= str_replace('-', '', $cliente['NRCEPCONS']);
     		$cliente['DTNASCCONS']  = !empty($cliente['DTNASCCONS']) ? (substr($cliente['DTNASCCONS'],8,2).'/'.substr($cliente['DTNASCCONS'],5,2).'/'.substr($cliente['DTNASCCONS'],0,4)) : null;
    		$cliente['BUILTSTRING'] = $cliente['NMCONSUMIDOR']." / ".$cliente['DSENDECONS'].", ".$cliente['NRENDECONS'];
    		$cliente['MULTIUSERID'] = $muid++;
    	}

        return $dadosCliente;
    }

    public function getConsumerAddresses($CDCLIENTE, $CDCONSUMIDOR) {
        return $this->consumerFactory->getConsumerAddresses($CDCLIENTE, $CDCONSUMIDOR);
    }

}
