import { Interceptor } from '@zeedhi/core';
import { AddRequestSuccess } from './AddRequestSuccess';
import { AddResponseFail } from './AddResponseFail';

Interceptor.addRequestSuccess((config) => {
  AddRequestSuccess.addHeaders(config);
  return config;
});

Interceptor.addResponseFail(async (error) => {
  let errorMessage = error.response?.data;
  if (error.response && error.response?.status) {
    const errorCode = error.response?.status;
    if (errorCode === 401) {
      errorMessage = '401_UNAUTHORIZED';
      AddResponseFail.libInvalidToken();
    }
  }
  return Promise.reject(new Error(errorMessage));
});
